Bug 439223 - Support small searches in the wiki
Support small searches in the wiki
Product: Dogtag Certificate System
Classification: Community
Component: Wiki (Show other bugs)
All Linux
low Severity low
: 1.0
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
Depends On:
Blocks: 443788
  Show dependency treegraph
Reported: 2008-03-27 12:12 EDT by Bob Lord
Modified: 2015-01-04 18:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-15 09:28:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Lord 2008-03-27 12:12:14 EDT
Description of problem:
When you search for words in the wiki that are 3 characters long (like "nss",
"pki") the wiki returns no hits.

I'd like to have the search engine return results for 3-character terms.
Comment 1 Bob Lord 2008-03-27 12:12:40 EDT
There is some info here that might be helpful:

Comment 2 Matthew Harmsen 2008-03-27 18:10:35 EDT
Following the instructions above was insufficient, as the 
"php rebuildtextindex.php" command yielded an error that required creating the
file "/var/www/html/wiki/AdminSettings.php".

Unfortunately, this was still insufficient, as when executed by the root user,
it generated the following error:

Content-type: text/html
X-Powered-By: PHP/4.3.9

Dropping index...
A database error has occurred
Query: ALTER TABLE `searchindex` DROP INDEX si_title, DROP INDEX si_text
Function: dropTextIndex
Error: 1044 Access denied for user 'wikiuser'@'localhost' to database 'wikidb'

GlobalFunctions.php line 602 calls wfbacktrace()
Database.php line 473 calls wfdebugdiebacktrace()
Database.php line 419 calls database::reportqueryerror()
rebuildtextindex.inc line 24 calls database::query()
rebuildtextindex.php line 18 calls droptextindex()

After digging through some of the associated documentation, I was able to run
the following commands "as root":

mysql> USE wikidb;
mysql> REPAIR TABLE searchindex QUICK;
mysql> REPAIR TABLE user_newtalk QUICK;

Basically, after this, three-letter searches appear to now work.
Comment 3 Chandrasekar Kannan 2008-08-26 20:27:36 EDT
Bug already MODIFIED. setting target CS8.0 and marking screened+

Note You need to log in before you can comment on or make changes to this bug.